#============================================================================
#  File Name: libnfc-nxp.conf
#
#  Description:
#      NFC configuration management file
#
#  Modification History:
#      Revision 1.0  2017/06/19 jian.wu@nxp.com
#      Initial draft version for HUAWEI PN553 EVL board
#
#=============================================================================

# FW_VERSION=ALMSL 11.1.11
# DEVICE_MANUFACTURER=Huawei
# DEVICE_MODEL=

# This file is used by NFC NXP NCI HAL(external/libnfc-nci/halimpl/pn5x)
# and NFC Service Java Native Interface Extensions (packages/apps/Nfc/nci/jni/extns/pn5x)

###############################################################################
# Application options
# Logging Levels
# NXPLOG_DEFAULT_LOGLEVEL    0x01
# ANDROID_LOG_DEBUG          0x03
# ANDROID_LOG_WARN           0x02
# ANDROID_LOG_ERROR          0x01
# ANDROID_LOG_SILENT         0x00
#
NXPLOG_EXTNS_LOGLEVEL=0x03
NXPLOG_NCIHAL_LOGLEVEL=0x03
NXPLOG_NCIX_LOGLEVEL=0x03
NXPLOG_NCIR_LOGLEVEL=0x03
NXPLOG_FWDNLD_LOGLEVEL=0x03
NXPLOG_TML_LOGLEVEL=0x03
NFC_DEBUG_ENABLED=0x01

###############################################################################
# Nfc Device Node name
NXP_NFC_DEV_NODE="/dev/pn544"

###############################################################################
# Extension for Mifare reader enable
MIFARE_READER_ENABLE=0x01

###############################################################################
# Vzw Feature enable
VZW_FEATURE_ENABLE=0x01

###############################################################################
# File name for Firmware
NXP_FW_NAME="libpn553_fw.so"

###############################################################################
# System clock source selection configuration
#define CLK_SRC_XTAL       1
#define CLK_SRC_PLL        2

NXP_SYS_CLK_SRC_SEL=0x02

###############################################################################
# System clock frequency selection configuration
# define CLK_FREQ_13MHZ         1
# define CLK_FREQ_19_2MHZ       2
# define CLK_FREQ_24MHZ         3
# define CLK_FREQ_26MHZ         4
# define CLK_FREQ_38_4MHZ       5
# define CLK_FREQ_52MHZ         6

NXP_SYS_CLK_FREQ_SEL=0x06

###############################################################################
# The timeout value to be used for clock request acknowledgment
# min value = 0x01 to max = 0x06

NXP_SYS_CLOCK_TO_CFG=0x06

###############################################################################
# NXP proprietary settings
NXP_ACT_PROP_EXTN={2F, 02, 00}

###############################################################################
# NFC forum profile settings
NXP_NFC_PROFILE_EXTN={20, 02, 05, 01, A0, 44, 01, 00}

###############################################################################
# NFCC Configuration Control
# Allow NFCC to manage RF Config       0x01
# Don't allow NFCC to manage RF Config 0x00
NXP_NFC_MERGE_RF_PARAMS={20, 02, 04, 01, 85, 01, 01}

###############################################################################
# Standby enable settings
NXP_CORE_STANDBY={2F, 00, 01, 01}

###############################################################################
# NXP TVDD configurations settings
# Allow NFCC to configure External TVDD, There are currently three
# configurations (1, 2 and 3) are supported, out of them only one can be
#supported.

NXP_EXT_TVDD_CFG=0x02

# config1:SLALM, 3.3V for both RM and CM
#NXP_EXT_TVDD_CFG_1={20, 02, 0B, 02, A0, 66, 01, 00, A0, 0E, 03, 02, 09, 00}

#config2: use DCDC in CE, use Tx_Pwr_Req, set CFG2 mode, SLALM,
# monitoring 5V from DCDC, 3.3V for both RM and CM, DCDCWaitTime=4.2ms
#NXP_EXT_TVDD_CFG_2={20, 02, 0B, 02, A0, 66, 01, 00, A0, 0E, 03, 56, 24, 08 }
NXP_EXT_TVDD_CFG_2={20, 02, 0F, 01, A0, 0E, 0B, 11, 01, C2, F2, 00, BA, 26, 14, 00, D0, 0C}

#config3: use DCDC in CE, use Tx_Pwr_Req, SLALM, monitoring 5V from DCDC,
# DCDCWaitTime=4.2ms
#NXP_EXT_TVDD_CFG_3={20, 02, 0B, 02, A0, 66, 01, 01, A0, 0E, 03, 52, 40, 0A}
###############################################################################
# Set configuration optimization decision setting
# Enable    = 0x01
# Disable   = 0x00
NXP_SET_CONFIG_ALWAYS=0x00

###############################################################################
# Set configuration optimization decision setting
# Enable    = 0x01
# Disable   = 0x00
NXP_RF_UPDATE_REQ=0x01

###############################################################################
# Core configuration rf field filter settings to enable set to 01 to disable set to 00 last bit
NXP_CORE_RF_FIELD={ 20, 02, 05, 01, A0, 62, 01, 00}
# NXP_CORE_RF_FIELD={ 2F, 32, 01, 01}
###############################################################################
# To enable i2c fragmentation set i2c fragmentation enable 0x01 to disable set to 0x00
NXP_I2C_FRAGMENTATION_ENABLED=0x00


###############################################################################
# Mifare Classic Key settings
# NXP_CORE_MFCKEY_SETTING={20, 02, 25,04, A0, 51, 06, A0, A1, A2, A3, A4, A5,
#                                     A0, 52, 06, D3, F7, D3, F7, D3, F7,
#                                     A0, 53, 06, FF, FF, FF, FF, FF, FF,
#                                     A0, 54, 06, 00, 00, 00, 00, 00, 00}

###############################################################################
# Default SE Options
# No secure element 0x00
# eSE               0x01
# UICC              0x02
# UICC2             0x04
NXP_DEFAULT_SE=0x03

###############################################################################
# Force ESE to only listen to the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_B | NFA_TECHNOLOGY_MASK_F
NXP_ESE_LISTEN_TECH_MASK=0x07

###############################################################################
#set autonomous mode
# disable autonomous 0x00
# enable autonomous  0x01
NXP_CORE_SCRN_OFF_AUTONOMOUS_ENABLE=0x00

###############################################################################
# Enable SWP full power mode when phone is power off
NXP_SWP_FULL_PWR_ON=0x00

###############################################################################
#### Select the CHIP ####
# PN547C2            0x01
# PN65T              0x02
# PN548AD            0x03
# PN66T              0x04
# PN551              0x05
# PN67T              0x06
# PN553              0x07
# PN80T              0x08
NXP_NFC_CHIP=0x07

###############################################################################
# CE when Screen state is locked
# This setting is for DEFAULT_AID_ROUTE,
# DEFAULT_DESFIRE_ROUTE and DEFAULT_MIFARE_CLT_ROUTE
# Disable           0x00
# Enable            0x01
NXP_CE_ROUTE_STRICT_DISABLE=0x01

# Timeout in secs to get NFCEE Discover notification
NXP_DEFAULT_NFCEE_DISC_TIMEOUT=1

###############################################################################
NXP_DEFAULT_NFCEE_TIMEOUT=0x02

# Timeout in secs
NXP_SWP_RD_START_TIMEOUT=0x0A

# Timeout in secs
NXP_SWP_RD_TAG_OP_TIMEOUT=0x01

###############################################################################

# Set the default AID route Location :
# This settings will be used when application does not set this parameter
# host 0x00
# eSE  0x01
# UICC 0x02
# UICC2 0x04
DEFAULT_AID_ROUTE=0x02

###############################################################################
# Configure the default NfcA/IsoDep techology and protocol route. Can be
# either a secure element (e.g. 0xF4) or the host (0x00)
# host  0x00
# eSE   0x01
# UICC  0x02
DEFAULT_ISODEP_ROUTE=0x02

###############################################################################
# Configure the default NfcA/IsoDep techology and protocol route. Can be
# either a secure element (e.g. 0xF4) or the host (0x00)
# host  0x00
# eSE   0x01
# UICC  0x02
DEFAULT_ROUTE=0x02

###############################################################################
# Configure the single default SE to use.  The default is to use the first
# SE that is detected by the stack.  This value might be used when the phone
# supports multiple SE (e.g. 0xF3 and 0xF4) but you want to force it to use
# one of them (e.g. 0xF4).
# host  0x00
# eSE   0x01
# UICC  0x02
DEFAULT_NFCF_ROUTE=0x02
DEFAULT_TECH_ABF_ROUTE=0x02

###############################################################################
#Set the default Felica T3T System Code OffHost route Location :
#This settings will be used when application does not set this parameter
# host  0x00
# eSE   0x01
DEFAULT_SYS_CODE_ROUTE=0x01

###############################################################################
# Set the default AID Power state :
# This settings will be used when application does not set this parameter
# bit pos 0 = Switch On
# bit pos 1 = Switch Off
# bit pos 2 = Battery Off
# bit pos 3 = Screen Lock
# bit pos 4 = Screen Off
DEFAULT_AID_PWR_STATE=0x1B

###############################################################################
# Set the Mifare Desfire Power state :
# This settings will be used when application does not set this parameter
# bit pos 0 = Switch On
# bit pos 1 = Switch Off
# bit pos 2 = Battery Off
# bit pos 3 = Screen Lock
# bit pos 4 = Screen Off
DEFAULT_ROUTE_PWR_STATE=0x1B
DEFAULT_ISODEP_PWR_STATE=0x1B

###############################################################################
# Set the Mifare CLT Power state :
# This settings will be used when application does not set this parameter
# bit pos 0 = Switch On
# bit pos 1 = Switch Off
# bit pos 2 = Battery Off
# bit pos 3 = Screen Lock
# bit pos 4 = Screen Off
DEFAULT_OFFHOST_PWR_STATE=0x1B
DEFAULT_TECH_ABF_PWR_STATE=0x1B

###############################################################################
# Set the Felica CLT Power state :
# This settings will be used when application does not set this parameter
# bit pos 0 = Switch On
# bit pos 1 = Switch Off
# bit pos 2 = Battery Off
# bit pos 3 = Screen Lock
# bit pos 4 = Screen Off
DEFAULT_FELICA_CLT_PWR_STATE=0x1B

###############################################################################
#Set the SYS_CODE Power state :
#This settings will be used when application does not set this parameter
# bit pos 0 = Switch On
# bit pos 1 = Switch Off
# bit pos 2 = Battery Off
# bit pos 3 = Screen Lock
# bit pos 4 = Screen Off
DEFAULT_SYS_CODE_PWR_STATE=0x1B

###############################################################################
# Configure the NFC Extras to open and use a static pipe.  If the value is
# not set or set to 0, then the default is use a dynamic pipe based on a
# destination gate (see NFA_HCI_DEFAULT_DEST_GATE).  Note there is a value
# for each UICC (where F3="UICC0" and F4="UICC1")
OFF_HOST_ESE_PIPE_ID=0x19
OFF_HOST_SIM_PIPE_ID=0x0A

###############################################################################
# AID Matching platform options
# AID_MATCHING_L 0x01
# AID_MATCHING_K 0x02
AID_MATCHING_PLATFORM=0x01

###############################################################################
# CHINA_TIANJIN_RF_SETTING
# Enable  0x01
# Disable  0x00
NXP_CHINA_TIANJIN_RF_ENABLED=0x01
###############################################################################
# SWP_SWITCH_TIMEOUT_SETTING
# Allowed range of swp timeout setting is 0x00 to 0x3C [0 - 60].
# Timeout in milliseconds, for example
# No Timeout  0x00
# 10 millisecond timeout 0x0A
NXP_SWP_SWITCH_TIMEOUT=0x0A

###############################################################################
# interface options for JCOP Download
# Disabled 0x00
# NFC 0x01
# SPI 0x02
NXP_ESE_JCOP_DEFAULT_INTERFACE=0x00

###############################################################################
# Loader service version
# NFC service checks for LS version 2.0 or 2.1
# LS2.0 0x20
# LS2.1 0x21
# LS2.2 0x22
# AT NFC service intialization
NXP_LOADER_SERVICE_VERSION=0x22

###############################################################################
# Timeout value  in milliseconds for NFCC standby mode.The range is between 5000 msec to 20000 msec and zero is to disable.
NXP_NFCC_STANDBY_TIMEOUT=0

###############################################################################
# Dynamic RSSI feature enable
# Disable           0x00
# Enable            0x01
NXP_AGC_DEBUG_ENABLE=0x00
###############################################################################
# Virtual Mode ESE and Wired Mode ongoing delay Wired Mode
# For Technology routing to ESE Technology Mask = 4
# For ISO-DEP Protocol routing to ESE Mask      = 2
# It can also take TECH|PROTO    = 6
# To ignore the delay set mask to = 0
NXP_ESE_WIRED_PRT_MASK=0x00

###############################################################################
# Virtual Mode UICC and Wired Mode  ongoing delay Wired Mode
# For Technology routing to UICC Technology Mask = 4
# For ISO-DEP Protocol routing to UICC set Mask  = 2
# For Select AID Routing to UICC       set Mask  = 1
# It can also take values TECH|PROTO|SELECT_AID  = 7 , 6 , 5 ,3 .To ignore delay  set mask = 0
NXP_UICC_WIRED_PRT_MASK=0x00

################################################################################
# RF field true delay Wired Mode
# delay wired mode = 1
# allow wired mode = 0
NXP_WIRED_MODE_RF_FIELD_ENABLE=0x00

###############################################################################
# UICC mode supported
# Disable           0x00
# Enable            0x01
NXP_DUAL_UICC_ENABLE=0x00
###############################################################################
# Config to allow adding aids
# NFC on/off is required after this config
# 1 = enabling adding aid  to NFCC routing table.
# 0 = disabling adding aid to NFCC routing table.
NXP_ENABLE_ADD_AID=0x01

###############################################################################
# JCOP-3.3 continuous process timeout in msec and value should be in Hexadecimal
# JCOP CP TIMEOUT
NXP_CP_TIMEOUT={00, 77}

###############################################################################
# SVDD sync off Delay in ms it can be max 20 ms
# If out of range timeout used, default delay of 10ms will be set
NXP_SVDD_SYNC_OFF_DELAY=10

###############################################################################
#NXP_CN_TRANSIT_CMA_BYPASSMODE_ENABLE
#Enable this config it prevents EMVCo PICC compliancy and Mifare backward compatibility works
#Disable this config EMVCo PICC compliancy works and Mifare backward compatibility will not work
#Default config is Disable
#Enable  0x01
#Disable  0x00
NXP_CN_TRANSIT_CMA_BYPASSMODE_ENABLE=0x00

###############################################################################
# Enable/Disable checking default proto SE Id
# Disable           0x00
# Enable            0x01
NXP_CHECK_DEFAULT_PROTO_SE_ID=0x01
###############################################################################
# NXP_CN_TRANSIT_BLK_NUM_CHECK_ENABLE
# Enable/Disable block number checks for china transit use case
# Enable  0x01
# Disable  0x00
NXP_CN_TRANSIT_BLK_NUM_CHECK_ENABLE=0x01
###############################################################################
#Enable NXP NCI runtime parser library
#Enable 0x01
#Disable 0x00
NXP_NCI_PARSER_LIBRARY=0x00

###############################################################################
#This config will enable different level of Rf transaction debugs based on the
#following values provided. Decoded information will be printed in adb logcat
#Debug Mode         Levels
#Disable Debug      0x00
#L1 Debug           0x01
#L2 Debug           0x02
#L1 & L2 Debug      0x03
#L1 & L2 & RSSI     0x04
#L1 & L2 & Felica   0x05
#NXP_CORE_PROP_SYSTEM_DEBUG=0x00

###############################################################################
# Wired mode resume timeout vaule in wired mode resume feature enable
# DWP resume time out in ms( 4 bytes hex value and LSB first)
#example 1000 = 0x03E8
#exmaple 2000 = 0x07D0
#example 500 = 0x01F4
NXP_WIREDMODE_RESUME_TIMEOUT={E8,03,00,00}
###############################################################################
# Power to eSE is controlled by DH or PMU depending on following configurations
# define DH_PWR_CONTROL         1
# define PMU_PWR_CONTROL        2

NXP_ESE_POWER_DH_CONTROL=1

###############################################################################
# Timeout value in milliseconds for wired mode resume after RF field event timeout
NXP_NFCC_RF_FIELD_EVENT_TIMEOUT=3000

###############################################################################
# NXP PMU Support configuration is sent if PMU_PWR_CONTROL is configured
# External PMU available in phone ON and phone OFF case if NXP_ESE_POWER_EXT_PMU=1
# External PMU available only in phone ON case if NXP_ESE_POWER_EXT_PMU=2

NXP_ESE_POWER_EXT_PMU=1

###############################################################################
# Enable/Disable mifare desfire CE prio feature
# Disable           0x00
# Enable            0x01
NXP_MIFARE_DESFIRE_DISABLE=0x00

###############################################################################
# Whether to allow wired mode in desfire and mifare CLT
# Disable           0x00
# Enable            0x01
NXP_ALLOW_WIRED_IN_MIFARE_DESFIRE_CLT=0x00
###############################################################################
# Enable/Disable Block Route feature.
# Block Route will restrict routing to first matched rule
# Block Route enable   0x01
# Block Route disable  0x00
AID_BLOCK_ROUTE=0x01

###############################################################################
# Send DWP interface reset command as part of SE open
# Disable           0x00
# Enable            0x01
NXP_DWP_INTF_RESET_ENABLE=0x00

###############################################################################
# Timeout value in milliseconds for JCOP OS download to complete
OS_DOWNLOAD_TIMEOUT_VALUE=60000

###############################################################################
# Timeout value in milliseconds to send response for Felica command received
NXP_HCEF_CMD_RSP_TIMEOUT_VALUE=5000

###############################################################################
# Maximum WTX requests entertained by MW
NXP_WM_MAX_WTX_COUNT=100

###############################################################################
# HAL library path for selftest
NXP_HAL_PATH="/vendor/lib64/hw/nfc_nci.pn54x.so"

###############################################################################
# Enable or Disable RF_STATUS_UPDATE to EseHal module
# Disable           0x00
# Enable            0x01
RF_STATUS_UPDATE_ENABLE=0x00

###############################################################################
# Extended APDU length for ISO_DEP
ISO_DEP_MAX_TRANSCEIVE=0xFEFF

###############################################################################
#OffHost ESE route location for MultiSE
#ESE = 01
OFFHOST_ROUTE_ESE={01}

###############################################################################
#OffHost UICC route location for MultiSE
#UICC1 = 02
#UICC2 = 03
OFFHOST_ROUTE_UICC={02}
###############################################################################
#CORE_SET_CONF_CMD to reset Prop Emvco Flag
NXP_PROP_RESET_EMVCO_CMD={20, 02, 05, 01, A0, 44, 01, 00}
###############################################################################
# NFCC POLLING CONFIGURATION
#   0 -> NFC Default
#   1 -> EMVCO Default
#   3 -> EMVCO Polling, DISC_IDLE = POWER_OFF, DISC DEACTIVATE =  Removal process
#   5 -> EMVCO Cert Polling, DISC_IDLE = Removal process  , DISC DEACTIVATE =   POWER_OFF
#   7 -> EMVCO Polling, DISC_IDLE = POWER_OFF, DISC DEACTIVATE =  POWER_OFF
NFA_CONFIG_FORMAT=1

###############################################################################
# WiredSe Terminal name
NXP_WIREDSE_TERMINAL_NAME="eSE2"

###############################################################################
# Disable Mifare CLT for JCOP4.1
# Enable            0x01
# Disable           0x00
#NXP_MF_CLT_JCOP_CFG=0x01

###############################################################################
# Restrict routing to first matched rule only.
# Blacklist enable   0x01
# Blacklist disable  0x00
NXP_PROP_BLACKLIST_ROUTING=0x01

###############################################################################
# Enable/Disable Open Mobile Interface by IPC for SE
# Disable           0x00
# Enable            0x01
HW_ENABLE_OMI_BY_IPC=0x01

###############################################################################
# Enable/Disable Calibration RF parameter
# Disable           0x00
# Enable            0x01
HW_ENABLE_CALIBRATION=0x01

###############################################################################
# NFC antenna area
# Use default                0x00
# Antenna area at center     0x01
# Antenna area at center-up  0x02
# Antenna area at top-center 0x03
# Antenna area at top-right  0x04
HW_NFC_ANTENNA_AREA=0x03

###############################################################################
# Enable/Disable SWIPE_CARD_WHEN_POWER_OFF_SUPPORT
# Disable      0x00
# Enable       0x01
HW_SWIPE_CARD_WHEN_POWER_OFF_SUPPORT=0x01

###############################################################################
#Enable/Disable Block Route feature.
# Block Route will restrict routing to first matched rule
# Block Route enable   0x01
# Block Route disable  0x00
NFA_AID_BLOCK_ROUTE=0x01
